
Infrastructure - Story #2012

complete package implementation in java libclient

2011-11-09 17:33 - Matthew Jones

Status: Closed Start date: 2012-10-05

Priority: Normal Due date: 2013-01-19

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: 2013.2-Block.1.1   

Story Points:    

Description

libclient_java needs to have a complete Data Package implementation.

Subtasks:

Task # 2013: ensure ORE deserializer returns the packageID Closed

Related issues:

Related to Infrastructure - Story #3281: refactor "facade" methods from D1Object Closed 2012-09-23 2013-08-10

History

#1 - 2011-11-09 17:33 - Matthew Jones

- Target version set to Sprint-2011.45-Block.6

- Position set to 23

- Position deleted (1)

#2 - 2011-11-09 17:36 - Matthew Jones

- Assignee set to Matthew Jones

- Category set to d1_libclient_java

#3 - 2011-11-15 04:05 - Dave Vieglais

- Position set to 313

- Position deleted (24)

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

#4 - 2011-11-28 18:27 - Dave Vieglais

- Position set to 317

- Position deleted (307)

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

#5 - 2011-12-05 19:14 - Matthew Jones

- Position deleted (317)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

- Position set to 15

#6 - 2011-12-19 18:20 - Dave Vieglais

- Position deleted (30)

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2012.01-Block.1.1

- Position set to 1

#7 - 2011-12-19 18:22 - Dave Vieglais
- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position deleted (3)

- Position set to 3

#8 - 2012-01-17 15:45 - Dave Vieglais

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

- Position deleted (52)

- Position set to 5

#9 - 2012-01-30 16:29 - Dave Vieglais

- Position set to 4

- Target version changed from Sprint-2012.05-Block.1.3 to Sprint-2012.07-Block.1.4

- Position deleted (11)

#10 - 2012-02-27 18:14 - Dave Vieglais

- Position set to 30

- Target version changed from Sprint-2012.07-Block.1.4 to Sprint-2012.09-Block.2.1

- Position deleted (49)

#11 - 2012-03-16 02:34 - Dave Vieglais

- Target version changed from Sprint-2012.09-Block.2.1 to Sprint-2012.13-Block.2.3

- Position set to 1

- Position deleted (65)

#12 - 2012-04-23 17:41 - Dave Vieglais

- Target version changed from Sprint-2012.13-Block.2.3 to Sprint-2012.21-Block.3.3

#13 - 2012-05-17 19:01 - Rob Nahf

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#14 - 2012-05-30 14:35 - Dave Vieglais

- Position deleted (50)

- Position changed from 1 to 456

- Position set to 1

- Target version changed from Sprint-2012.21-Block.3.3 to Sprint-2012.25-Block.4.1

#15 - 2012-07-09 13:42 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

#16 - 2012-08-31 01:44 - Chris Jones

- Milestone changed from CCI-1.0.0 to CCI-1.0.5

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.37-Block.5.3

#17 - 2012-08-31 03:58 - Chris Jones

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.35-Block.5.2

- Position changed from 1 to 488

- Position set to 1

- Position deleted (474)
#18 - 2012-09-28 22:09 - Rob Nahf

- Position set to 1

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4

- Position deleted (485)

- Position changed from 1 to 493

#19 - 2012-10-03 15:40 - Chris Jones

- Milestone changed from CCI-1.0.5 to CCI-1.1

- Start date set to 2012-09-23

- Due date set to 2012-10-06

#20 - 2012-10-04 22:18 - Rob Nahf

- Assignee changed from Matthew Jones to Rob Nahf

#21 - 2012-10-08 17:23 - Rob Nahf

- Due date changed from 2012-10-06 to 2012-10-27

- Milestone changed from CCI-1.1 to CCI-1.2

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

touch base with Matt and Ben re: R and Morpho before making any changes.

#22 - 2012-10-24 18:20 - Matthew Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Due date changed from 2012-10-27 to 2012-11-10

#23 - 2012-10-24 18:21 - Matthew Jones

- Status changed from New to In Progress

The DataPackage class is completed, but needs review for compatibility with the needs of the R client, Morpho, etc.

#24 - 2012-12-12 19:01 - Rob Nahf

- Due date changed from 2012-11-10 to 2013-01-19

- Target version changed from Sprint-2012.44-Block.6.2 to 2013.2-Block.1.1

#25 - 2013-03-01 18:50 - Rob Nahf

- Status changed from In Progress to Closed

Completed the first updated implementation of DataPackage class and released it as v1.1.

Design issues and simplifications have been discussed, and will come under new story and later version.
